Diagnose Service Mesh

Diagnose Service Mesh
Run diagnosis on a service mesh.

Run diagnosis on a service mesh.

Request
URI
POST
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/diagnose
COPY
Path Parameters
string
serviceMeshId
Required

Service Mesh ID


Request Body

Run ServiceMesh diagnosis request body.

serviceMeshDiagRequest of type(s) application/json
Optional
{
    "serviceMeshDiagnosticsRunId": "string"
}
string
serviceMeshDiagnosticsRunId
Optional

serviceMeshDiagnosticsRunId

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns serviceMeshPostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "serviceMeshId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/diagnose